Subject: bug#32439: guix pull as root generates too many errors.

From: Leo Famulari <[email-masked]>
Date: Tue, 14 Aug 2018 16:36:08 -0400

On Tue, Aug 14, 2018 at 07:41:14PM +0000, fis trivial wrote:
> Running guix pull -l as root user generates many warnings and errors. I
> attached the first 1000 lines of stderr logging in this mail.
> 

> ;;; WARNING: loading compiled file /root/.config/guix/current-17-link/lib/guile/2.2/site-ccache/guix/ui.go failed:
> ;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01??\x00\x00\x00\x00\x00\x00\x00\x00"

I'm not an expert on Guile or the new `guix pull`. However, I think that
`guix pull` takes its Guile from the environment, because `guix pull -l`
doesn't work for me when there is no Guile in PATH.

Those errors look like a mismatch between Guile versions 2.0 and 2.2.
Which Guile do you have available in the environment where you see that
error?